Foxit PDF SDK

Instance Methods | Properties | List of all members
FSRichTextStyle Class Reference

Inherits NSObject.

## Instance Methods
(id) | - init
| Constructor.
(id) | - initWithFont:text_size:text_alignment:text_color:is_bold:is_italic:is_underline:is_strikethrough:mark_style:char_space:word_space:
| Constructor, with parameters. More...
(id) | - initWithStyle:
| Constructor, with another style object. More...
(void) | - set:text_size:text_alignment:text_color:is_bold:is_italic:is_underline:is_strikethrough:mark_style:char_space:word_space:
| Set value. More...

## Properties
float | char_space
| The char space. It should not be negative value for table generator. It is only used in FSPDFPage::addText:rect:style:matrix:is_each_text:disable_embed_font:.
FSFont * | font
| A font used in rich text style. It should be a valid font object. More...
BOOL | is_bold
| A boolean value which indicates whether to make text bold or not.
BOOL | is_italic
| A boolean value which indicates whether to italicize text or not.
BOOL | is_strikethrough
| A boolean value which indicates whether to cross text out with strike through or not.
BOOL | is_underline
| A boolean value which indicates whether to underline text or not.
FSRichTextStyleCornerMarkStyle | mark_style
| Corner mark style. Corner mark style which can be used to make text as superscript or subscript or not as any kind of corner mark. Please refer to values starting from FSRichTextStyleCornerMarkNone and this should be one of these values.
FSAlignment | text_alignment
| Alignment value. Please refer to values starting from FSAlignmentLeft and this should be one of these values.
unsigned int | text_color
| Text color. Format: 0xRRGGBB.
float | text_size
| Text size. It should not be negative value. 0 means text will not be shown.
float | word_space
| The word space. It should not be negative value for table generator. It is only used in FSPDFPage::addText:rect:style:matrix:is_each_text:disable_embed_font:.

## Detailed Description

This class represents rich text style data, which is used to specify the style of rich text.

## Method Documentation

## ◆ initWithFont:text_size:text_alignment:text_color:is_bold:is_italic:is_underline:is_strikethrough:mark_style:char_space:word_space:()

- (id) initWithFont: |  | (FSFont*) | font
text_size: |  | (float) | text_size
text_alignment: |  | (FSAlignment) | text_alignment
text_color: |  | (unsigned int) | text_color
is_bold: |  | (BOOL) | is_bold
is_italic: |  | (BOOL) | is_italic
is_underline: |  | (BOOL) | is_underline
is_strikethrough: |  | (BOOL) | is_strikethrough
mark_style: |  | (FSRichTextStyleCornerMarkStyle) | mark_style
char_space: |  | (float) | char_space
word_space: |  | (float) | word_space

Constructor, with parameters.

Parameters

  [in] | font | A valid font object.
  [in] | text_size | Text size. It should not be negative value. 0 means text will not be shown.
  [in] | text_alignment | Alignment value. Please refer to values starting from FSAlignmentLeft and this should be one of these values.
  [in] | text_color | Text color. Format: 0xRRGGBB.
  [in] | is_bold | A boolean value which indicates whether to make text bold or not.
  [in] | is_italic | A boolean value which indicates whether to italicize text or not.
  [in] | is_underline | A boolean value which indicates whether to underline text or not.
  [in] | is_strikethrough | A boolean value which indicates whether to cross text out with strike through or not.
  [in] | mark_style | Corner mark style which can be used to make text as superscript or subscript or not as any kind of corner mark. Please refer to values starting from FSRichTextStyleCornerMarkNone and this should be one of these values.
  [in] | char_space | The char space. It should not be negative value for table generator. It is only used in FSPDFPage::addText:rect:style:matrix:is_each_text:disable_embed_font: and table generator.
  [in] | word_space | The word space. It should not be negative value for table generator. It is only used in FSPDFPage::addText:rect:style:matrix:is_each_text:disable_embed_font: and table generator.

## ◆ initWithStyle:()

- (id) initWithStyle: |  | (FSRichTextStyle*) | style |

Constructor, with another style object.

Parameters

  [in] | style | Another style object.

## ◆ set:text_size:text_alignment:text_color:is_bold:is_italic:is_underline:is_strikethrough:mark_style:char_space:word_space:()

- (void) set: |  | (FSFont*) | font
text_size: |  | (float) | text_size
text_alignment: |  | (FSAlignment) | text_alignment
text_color: |  | (unsigned int) | text_color
is_bold: |  | (BOOL) | is_bold
is_italic: |  | (BOOL) | is_italic
is_underline: |  | (BOOL) | is_underline
is_strikethrough: |  | (BOOL) | is_strikethrough
mark_style: |  | (FSRichTextStyleCornerMarkStyle) | mark_style
char_space: |  | (float) | char_space
word_space: |  | (float) | word_space

Set value.

Parameters

  [in] | font | A valid font object.
  [in] | text_size | Text size. It should not be negative value. 0 means text will not be shown.
  [in] | text_alignment | Alignment value. Please refer to values starting from FSAlignmentLeft and this should be one of these values.
  [in] | text_color | Text color. Format: 0xRRGGBB.
  [in] | is_bold | A boolean value which indicates whether to make text bold or not.
  [in] | is_italic | A boolean value which indicates whether to italicize text or not.
  [in] | is_underline | A boolean value which indicates whether to underline text or not.
  [in] | is_strikethrough | A boolean value which indicates whether to cross text out with strike through or not.
  [in] | mark_style | Corner mark style which can be used to make text as superscript or subscript or not as any kind of corner mark. Please refer to values starting from FSRichTextStyleCornerMarkNone and this should be one of these values.
  [in] | char_space | The char space. It should not be negative value for table generator. It is only used in FSPDFPage::addText:rect:style:matrix:is_each_text:disable_embed_font:.
  [in] | word_space | The word space. It should not be negative value for table generator. It is only used in FSPDFPage::addText:rect:style:matrix:is_each_text:disable_embed_font:.

Returns
  None.

## Property Documentation

## ◆ font

- (FSFont *) font
| read write nonatomic weak

A font used in rich text style. It should be a valid font object.

- When current style is used to set a rich text or add/insert a new rich text, this font means "user expects to use this font for a rich text". Then during resetting appearance process, Foxit PDF SDK will check if the expected font is suitable and decide to use it or change to a more suitable font for showing text content.
- When current style is retrieved from a rich text, this font represents the used font of a rich text.